Index: sasmodels/models/barbell.c
===================================================================
--- sasmodels/models/barbell.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/barbell.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -66,5 +66,5 @@
 {
     const double vol_barbell = form_volume(radius_bell,radius,length);
-    return cbrt(0.75*vol_barbell/M_PI);
+    return cbrt(vol_barbell/M_4PI_3);
 }
 
Index: sasmodels/models/capped_cylinder.c
===================================================================
--- sasmodels/models/capped_cylinder.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/capped_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -88,5 +88,5 @@
 {
     const double vol_cappedcyl = form_volume(radius,radius_cap,length);
-    return cbrt(0.75*vol_cappedcyl/M_PI);
+    return cbrt(vol_cappedcyl/M_4PI_3);
 }
 
Index: sasmodels/models/core_shell_bicelle.c
===================================================================
--- sasmodels/models/core_shell_bicelle.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_bicelle.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -40,5 +40,5 @@
 {
     const double volume_bicelle = form_volume(radius,thick_rim,thick_face,length);
-    return cbrt(0.75*volume_bicelle/M_PI);
+    return cbrt(volume_bicelle/M_4PI_3);
 }
 
Index: sasmodels/models/core_shell_bicelle_elliptical.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_bicelle_elliptical.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -14,5 +14,5 @@
 {
     const double volume_bicelle = form_volume(r_minor, x_core, thick_rim,thick_face,length);
-    return cbrt(0.75*volume_bicelle/M_PI);
+    return cbrt(volume_bicelle/M_4PI_3);
 }
 
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision d299327021d8f52877a96e17d973ae9f7ff21c73)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -15,5 +15,5 @@
 {
     const double volume_bicelle = form_volume(r_minor, x_core, thick_rim,thick_face,length);
-    return cbrt(0.75*volume_bicelle/M_PI);
+    return cbrt(volume_bicelle/M_4PI_3);
 }
 
Index: sasmodels/models/core_shell_cylinder.c
===================================================================
--- sasmodels/models/core_shell_cylinder.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -17,5 +17,5 @@
 {
     const double volume_outer_cyl = form_volume(radius,thickness,length);
-    return cbrt(0.75*volume_outer_cyl/M_PI);
+    return cbrt(volume_outer_cyl/M_4PI_3);
 }
 
Index: sasmodels/models/core_shell_ellipsoid.c
===================================================================
--- sasmodels/models/core_shell_ellipsoid.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_ellipsoid.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -42,5 +42,5 @@
 {
     const double volume_ellipsoid = form_volume(radius_equat_core, x_core, thick_shell, x_polar_shell);
-    return cbrt(0.75*volume_ellipsoid/M_PI);
+    return cbrt(volume_ellipsoid/M_4PI_3);
 }
 
Index: sasmodels/models/cylinder.c
===================================================================
--- sasmodels/models/cylinder.c	(revision 74e9b5fa9e460b3726df690a1411aef195f15b4e)
+++ sasmodels/models/cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -16,5 +16,5 @@
 radius_from_volume(double radius, double length)
 {
-    return cbrt(0.75*radius*radius*length);
+    return cbrt(M_PI*radius*radius*length/M_4PI_3);
 }
 
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/elliptical_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -9,5 +9,5 @@
 {
     const double volume_ellcyl = form_volume(radius_minor,r_ratio,length);
-    return cbrt(0.75*volume_ellcyl/M_PI);
+    return cbrt(volume_ellcyl/M_4PI_3);
 }
 
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision e44432d7890080c5b9a440696903718a52c60eba)
+++ sasmodels/models/hollow_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -17,5 +17,5 @@
 {
     const double volume_outer_cyl = M_PI*square(radius + thickness)*length;
-    return cbrt(0.75*volume_outer_cyl/M_PI);
+    return cbrt(volume_outer_cyl/M_4PI_3);
 }
 
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision e44432d7890080c5b9a440696903718a52c60eba)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -27,5 +27,5 @@
     switch (mode) {
     case 1: // equivalent sphere
-        return cbrt(0.75*cube(length_a)*b2a_ratio*c2a_ratio/M_PI);
+        return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
     case 2: // half length_a
         return 0.5 * length_a;
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision e44432d7890080c5b9a440696903718a52c60eba)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -22,5 +22,5 @@
     switch (mode) {
     case 1: // equivalent sphere
-        return cbrt(0.75*cube(length_a)*b2a_ratio*c2a_ratio/M_PI);
+        return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
     case 2: // half length_a
         return 0.5 * length_a;
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/parallelepiped.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -10,5 +10,5 @@
     switch (mode) {
     case 1: // equivalent sphere
-        return cbrt(0.75*length_a*length_b*length_c/M_PI);
+        return cbrt(length_a*length_b*length_c/M_4PI_3);
     case 2: // half length_a
         return 0.5 * length_a;
Index: sasmodels/models/pringle.c
===================================================================
--- sasmodels/models/pringle.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/pringle.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -109,5 +109,5 @@
     switch (mode) {
     case 1: // equivalent sphere
-        return cbrt(0.75*radius*radius*thickness);
+        return cbrt(M_PI*radius*radius*thickness/M_4PI_3);
     case 2: // radius
         return radius;
Index: sasmodels/models/rectangular_prism.c
===================================================================
--- sasmodels/models/rectangular_prism.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/rectangular_prism.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
@@ -10,5 +10,5 @@
     switch (mode) {
     case 1: // equivalent sphere
-        return cbrt(0.75*cube(length_a)*b2a_ratio*c2a_ratio/M_PI);
+        return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
     case 2: // half length_a
         return 0.5 * length_a;
